{% extends "base.html.twig" %}

{% block title %}Scrum Board{% endblock %}
{# {% block javascripts %}<script src="/src/js/index.js"{% endblock %} #}

{% block body %}

  <h1>Scrum Board</h1>

  {% for user in users %}
  <div class="tooltip">
    <a href="https://customerportal.holzweg.com/issues?utf8=%E2%9C%93&set_filter=1&sort=id%3Adesc&f%5B%5D=assigned_to_id&op%5Bassigned_to_id%5D=%3D&v%5Bassigned_to_id%5D%5B%5D={{user.0}}&f%5B%5D=&c%5B%5D=project&c%5B%5D=created_on&c%5B%5D=tracker&c%5B%5D=subject&c%5B%5D=author&c%5B%5D=assigned_to&c%5B%5D=status&c%5B%5D=updated_on&c%5B%5D=done_ratio&c%5B%5D=is_private&c%5B%5D=parent&group_by=&t%5B%5D=" target="_blank">
      {{user.0}}
    </a> 
    <span class="tooltiptext">{{user.2}} {{user.3}}</span>
  </div>
  {% endfor %}

  <form  class="morf" method="post" name="myform" action="morf" >
  Morf Prozent:
    <input id="morfpercent" type="text" name="morfpercent" value={{morf}} >
</form>

  <table class="sticky" >    
    
    <tr>
      <th class="plh-left" colspan="1"></th>
      <th class="todo" colspan={{users|length}} >TO-DO</th>
      <th class="todo" colspan="1">TO-DO</th>
      <th class="plh-right" colspan="4"></th>
    </tr>
    <tr>
      <th>Projekt</th>
      {% for user in users %}
        <th>{{user.2}}</th>
      {% endfor %}
      <th>Others</th>
      <th>Hold</th>
      <th>Qualitätskontrolle</th>
      <th>Kundenrückmeldung</th>
      <th>Bereit zur Abnahme</th>
    </tr>
    {% for key,portalTickets in allTickets %}
      <tr>
        <td>
          <b>{{ key }}</b>
        </td>
        {% for key,categories in portalTickets %}
          {% for tickets in categories %}
            <td>
              {% if tickets is not empty %}
                {% for ticket in tickets %}
                  <span class="card">
                    <a href="https://customerportal.holzweg.com/issues/{{ticket.id}}" target="_blank"><b class="card__ticket-id">
                    #{{ticket.id}}
                    </b>
                    <br>
                    {{ticket.subject}}
                    <br></a>
                    {% if key is not same as('workers') %}
                      {% if ticket.user is defined %}
                        <span class="assigned-to"><a href="https://customerportal.holzweg.com/issues?utf8=%E2%9C%93&set_filter=1&sort=id%3Adesc&f%5B%5D=assigned_to_id&op%5Bassigned_to_id%5D=%3D&v%5Bassigned_to_id%5D%5B%5D={{ticket.user.id}}&f%5B%5D=&c%5B%5D=project&c%5B%5D=created_on&c%5B%5D=tracker&c%5B%5D=subject&c%5B%5D=author&c%5B%5D=assigned_to&c%5B%5D=status&c%5B%5D=updated_on&c%5B%5D=done_ratio&c%5B%5D=is_private&c%5B%5D=parent&group_by=&t%5B%5D=" target="_blank">
                        {{ticket.user.name}}
                        </a></span>
                      {% endif %}
                    {% endif %}
                  </span> 
                {% endfor %}
              {% endif %}
            </td>
          {% endfor %}
        {% endfor %}
      </tr>
    {% endfor %}
  </table>
  <br/>
  <br/>
{% endblock %} 


